#pragma once

#include <string>
#include <filesystem>
#include <fstream>

namespace utils {
inline std::string LoadFile(const std::filesystem::path& file) {
  std::ifstream in(file);

  std::string result;
  std::string tmp;

  while (std::getline(in, tmp)) {
    result += tmp;
    result += "\n";
  }

  return result;
}

}  // namespace utils
